<?php
/*
I was calling theme settings in functions.php and was calling settings as global variable in theme files. 
This was working properly except temporary changes was disappearing in theme customizer"s live edit when you change page with clicking links.
This file fixes that.
Read if you want more details: http://wordpress.stackexchange.com/questions/82723/theme-customizer-changes-are-dissappearing-when-change-page
*/

global $firmasite_settings;
$firmasite_settings = get_option( "firmasite_settings" ); // site options

do_action("firmasite_settings_open");

$defaults = array(
	"style" => "united",
	"layout" => "content-sidebar",
	"color-logo-text" => "info",
	"color-tax" => "info",
	"menu-style" => "default",
	"loop_tile_row" => 3,
);

$firmasite_settings = wp_parse_args($firmasite_settings, $defaults);
$firmasite_settings["protocol"] = is_ssl() ? 'https' : 'http';

switch ($firmasite_settings["layout"]) {
    case "sidebar-content":
		$firmasite_settings["layout_primary_class"] = "col-xs-12 col-md-8 pull-right";
 		$firmasite_settings["layout_primary_fullwidth_class"] = "col-xs-12 col-md-12";
		$firmasite_settings["layout_secondary_class"] = "col-xs-12 col-md-4";		
		$firmasite_settings["layout_container_class"] = "container";		
 		$firmasite_settings["layout_page_class"] = "site-sidebar-content";		
      break;
    case "only-content":
 		$firmasite_settings["layout_primary_class"] = "col-xs-12 col-md-12";
 		$firmasite_settings["layout_primary_fullwidth_class"] = "col-xs-12 col-md-12";
		$firmasite_settings["layout_secondary_class"] = "hide";		
		$firmasite_settings["layout_container_class"] = "container";		
 		$firmasite_settings["layout_page_class"] = "site-only-content";		
      break;
    case "only-content-long":
 		$firmasite_settings["layout_primary_class"] = "col-xs-12 col-md-12";
 		$firmasite_settings["layout_primary_fullwidth_class"] = "col-xs-12 col-md-12";
		$firmasite_settings["layout_secondary_class"] = "hide";		
		$firmasite_settings["layout_container_class"] = "container";		
 		$firmasite_settings["layout_page_class"] = "site-only-content-long";		
      break;
	default:
    case "content-sidebar":
 		$firmasite_settings["layout_primary_class"] = "col-xs-12 col-md-8";
 		$firmasite_settings["layout_primary_fullwidth_class"] = "col-xs-12 col-md-12";
		$firmasite_settings["layout_secondary_class"] = "col-xs-12 col-md-4";		
		$firmasite_settings["layout_container_class"] = "container";		
 		$firmasite_settings["layout_page_class"] = "site-content-sidebar";		
       break;	
}

$firmasite_settings["styles"] = apply_filters( 'firmasite_theme_styles', array(
	"default" => esc_attr__( 'Default', FIRMASITE_LANGUAGE ),		//0
	"amelia" => esc_attr__( 'Amelia', FIRMASITE_LANGUAGE ),		//1
	"cerulean" => esc_attr__( 'Cerulean', FIRMASITE_LANGUAGE ),	//2
	"cosmo" => esc_attr__( 'Cosmo', FIRMASITE_LANGUAGE ),			//3
	"cyborg" => esc_attr__( 'Cyborg', FIRMASITE_LANGUAGE ),		//4
	"flatly" => esc_attr__( 'Flatly', FIRMASITE_LANGUAGE ),		//13
	"journal" => esc_attr__( 'Journal', FIRMASITE_LANGUAGE ),		//5
	"readable" => esc_attr__( 'Readable', FIRMASITE_LANGUAGE ),	//6
	"simplex" => esc_attr__( 'Simplex', FIRMASITE_LANGUAGE ),		//7
	"slate" => esc_attr__( 'Slate', FIRMASITE_LANGUAGE ),			//8
	"spacelab" => esc_attr__( 'Spacelab', FIRMASITE_LANGUAGE ),	//9
	"united" => esc_attr__( 'United', FIRMASITE_LANGUAGE ),		//12
));
		
$firmasite_styles_url_default = get_template_directory_uri() . '/assets/themes/';
$firmasite_settings["styles_url"] = apply_filters( 'firmasite_theme_styles_url', array(		
	"default" => $firmasite_styles_url_default. "default",		//0
	"amelia" => $firmasite_styles_url_default. "amelia",		//1
	"cerulean" => $firmasite_styles_url_default. "cerulean",	//2
	"cosmo" => $firmasite_styles_url_default. "cosmo",			//3
	"cyborg" => $firmasite_styles_url_default. "cyborg",		//4
	"flatly" => $firmasite_styles_url_default. "flatly",		//13
	"journal" => $firmasite_styles_url_default. "journal",		//5
	"readable" => $firmasite_styles_url_default. "readable",	//6
	"simplex" => $firmasite_styles_url_default. "simplex",		//7
	"slate" => $firmasite_styles_url_default. "slate",			//8
	"spacelab" => $firmasite_styles_url_default. "spacelab",	//9
	"united" => $firmasite_styles_url_default. "united",		//12
));

do_action("firmasite_settings_close");

apply_filters( 'firmasite_settings_filter', $firmasite_settings );


